Subject: Re: [PATCH] show-ref: Allow --head to work with --verify

From: Vladimir Panteleev <[email-masked]>
Date: Sat, 21 Jan 2017 00:25:36 +0000

On 2017-01-20 23:29, Junio C Hamano wrote:
> By the way, I have no strong preference between "read-ref, check
> quiet and show-one" and "show-ref", so if you make --verify to
> consistently call "show_ref()" for both refs/heads/master and HEAD,
> that is also perfectly fine.

This sounds like a good idea, as it will also allow -d and some other 
options to work with --verify (whatever use case there might be for 
that). Will resubmit with that.

> I just do not want to see the same feature/codepath to call two
> different implementations that happens to do the same thing today.

Understood and agreed.

-- 
Best regards,
  Vladimir